package math.games;

import math.utils.ArrayUtil;
import math.utils.Util;

public class Game06 {
    public static void main(String[] args) {
        double[] arr = {-6, -1, 1, 4, 7, 1, 3, 4, 3, 2, 1, 12};
        GameMatrix gm = new GameMatrix(arr, 4);
        Cell maximin = gm.maximin();
        Util.print("macierz gry: ");
        ArrayUtil.print(arr);
        Util.print("maximin: " + maximin);
        Cell minimax = gm.minimax();
        Util.print("minimax: " + minimax);
        Util.print("ma siodło: " + gm.hasSaddle());
        Util.print("siodło: " + gm.getSaddle());
        boolean colDom = gm.isColDominating(3, 2);
        Util.print("czy kolumna 3 dominuje nad kol. 3: " + colDom);
        GameMatrix subgame = GameMatrix.subgamec(gm.getArray(), 3);
        Util.print("podgra po usunięciu kol. 3: ");
        ArrayUtil.print(subgame.getArray());
    }
}
